Attribute VB_Name = "ComDialog"
'/*
' IGS Empire Component
' Common Dialog Calling Library Code [ComDialog.BAS]
' Visual Basic Applications only
' Development:  Khalid Amin Khan.
' Company:  K-tron Research Incorporated, Pakistan.
'
' IGS Empire 4.0   1.0 01.10.2005 - 02.10.2005 0002.00
'                      02.10.2006              0000.15 more remarks added
'                               ----------------------
'                               TOTAL HOURS    0002.15
'................................................................................
' Usage:
' flt$ = "K-tron Grid Data Format (*.grd)|*.grd|Surfer Grid Data Format (*.grd)|*.grd|"
' CommonDialog frmMain.dlgCommonDialog, flt, ProgDrv & path2, "grd", "Open Grid Data File", "o", n$, ft1%
'*/..............................................................................

Sub CommonDialog(ByVal obj As Object, ByVal filt$, ByVal directory$, ext$, ByVal cap$, ByVal beh$, n$, ftype%)
'obj = object (form.commondialog)
'filt$ = filter property of common dialogue (files of type)
'        Example: Text File (*.txt)|*.txt|Basic File (.bas)|*.bas
'directory = speciefied directory
'ext = default file extension (used only when no extension is given)
'cap = caption for comon dialogue
'beh = behaviour if 'o' then ShowOpen:if 's' then ShowSave
'n$ = output file name
'ftype% = output file type index number according to the above filter property
'        Example: In the above filter property example if txt file is selected then 1 is returned, if bas file is selected 2 is returned & so on
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Rem following are common dialogue properties
Rem &H1000 or cdlOFNMustExisit         => checks that whether current file exists
Rem &H800  or cdlOFNPathMustExist      => checks current path exists
Rem &H4    or cdlOFNHideReadOnly       => hides the read only check box
Rem &H400  or cdlOFNExtensionDifferent => if a different is entered
Rem &H2                                => generates a message to overwrite

On Error GoTo errhand
With obj
  .CancelError = True
  .Flags = &H4 Or &H1000 Or &H800 Or &H400 Or &H2
  .DefaultExt = ext$
  .Filter = filt$
  
  .InitDir = directory$
  .DialogTitle = cap$
  If beh$ = "o" Then .ShowOpen
  If beh$ = "s" Then .ShowSave
  n$ = .FileName
  .FileName = ""
  ftype% = .FilterIndex
End With
                                
errhand:
End Sub

