VERSION 5.00
Object = "{89EBA0A8-0C7A-4AF8-B6C9-6ED8B14CB7D6}#1.1#0"; "GPS.ocx"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form Form1 
   Caption         =   "GPS NMEA Test Application"
   ClientHeight    =   9045
   ClientLeft      =   3435
   ClientTop       =   645
   ClientWidth     =   15915
   LinkTopic       =   "Form1"
   ScaleHeight     =   9045
   ScaleWidth      =   15915
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   9360
      Top             =   6960
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.TextBox txtScanStatus 
      Height          =   1215
      Left            =   2760
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   164
      Top             =   120
      Width           =   3135
   End
   Begin VB.TextBox txtScanPort 
      Height          =   375
      Left            =   1800
      TabIndex        =   163
      Top             =   360
      Width           =   615
   End
   Begin VB.CommandButton cmdScanGPSPort 
      Caption         =   "Scan GPS Port"
      Height          =   375
      Left            =   240
      TabIndex        =   162
      Top             =   360
      Width           =   1455
   End
   Begin VB.CommandButton cmdProNMEA 
      Caption         =   "Process NMEA"
      Height          =   375
      Left            =   8160
      TabIndex        =   161
      Top             =   720
      Width           =   1695
   End
   Begin VB.CommandButton cmdOpenNMEA 
      Caption         =   "Open NMEA File"
      Height          =   375
      Left            =   8160
      TabIndex        =   160
      Top             =   360
      Width           =   1695
   End
   Begin GPSControl.GPS GPS1 
      Left            =   8880
      Top             =   5640
      _ExtentX        =   953
      _ExtentY        =   953
   End
   Begin VB.CheckBox chkFixUTMZone 
      Caption         =   "Fix UTM Zone"
      Height          =   255
      Left            =   14040
      TabIndex        =   158
      Top             =   4440
      Width           =   1455
   End
   Begin VB.TextBox txtSetUTMZone 
      Height          =   375
      Left            =   13320
      TabIndex        =   157
      Top             =   4440
      Width           =   495
   End
   Begin VB.CommandButton cmdSetUTMZone 
      Caption         =   "Set UTM Zone"
      Height          =   375
      Left            =   12000
      TabIndex        =   156
      Top             =   4440
      Width           =   1215
   End
   Begin VB.Frame Frame6 
      Caption         =   "Processed Data"
      ForeColor       =   &H8000000D&
      Height          =   2295
      Left            =   10680
      TabIndex        =   141
      Top             =   1920
      Width           =   4695
      Begin VB.TextBox txtUTMChange 
         Height          =   285
         Left            =   1680
         TabIndex        =   140
         Top             =   1900
         Width           =   615
      End
      Begin VB.TextBox txtDMSLong 
         Height          =   285
         Left            =   600
         TabIndex        =   149
         Top             =   720
         Width           =   1695
      End
      Begin VB.TextBox txtDMSLat 
         Height          =   285
         Left            =   2880
         TabIndex        =   148
         Top             =   720
         Width           =   1695
      End
      Begin VB.TextBox txtUTMX 
         Height          =   285
         Left            =   600
         TabIndex        =   147
         Top             =   240
         Width           =   1695
      End
      Begin VB.TextBox txtUTMY 
         Height          =   285
         Left            =   2880
         TabIndex        =   146
         Top             =   240
         Width           =   1695
      End
      Begin VB.TextBox txtZone 
         Height          =   285
         Left            =   600
         TabIndex        =   145
         Top             =   1560
         Width           =   495
      End
      Begin VB.TextBox txtDECLong 
         Height          =   285
         Left            =   600
         TabIndex        =   144
         Top             =   1080
         Width           =   1695
      End
      Begin VB.TextBox txtDECLat 
         Height          =   285
         Left            =   2880
         TabIndex        =   143
         Top             =   1080
         Width           =   1695
      End
      Begin VB.TextBox txtPosChange 
         Height          =   285
         Left            =   2880
         TabIndex        =   142
         Top             =   1560
         Width           =   615
      End
      Begin VB.Label Label32 
         Caption         =   "UTM Zone Changed"
         Height          =   255
         Left            =   120
         TabIndex        =   159
         Top             =   1920
         Width           =   1695
      End
      Begin VB.Label Label31 
         Caption         =   "Position Changed"
         Height          =   255
         Left            =   1440
         TabIndex        =   155
         Top             =   1560
         Width           =   1575
      End
      Begin VB.Label Label30 
         Caption         =   "Zone"
         Height          =   255
         Left            =   120
         TabIndex        =   154
         Top             =   1560
         Width           =   495
      End
      Begin VB.Label Label26 
         Caption         =   "X "
         Height          =   255
         Left            =   240
         TabIndex        =   153
         Top             =   240
         Width           =   255
      End
      Begin VB.Label Label27 
         Caption         =   "Y"
         Height          =   255
         Left            =   2640
         TabIndex        =   152
         Top             =   240
         Width           =   255
      End
      Begin VB.Label Label28 
         Caption         =   "Long"
         Height          =   255
         Left            =   120
         TabIndex        =   151
         Top             =   720
         Width           =   375
      End
      Begin VB.Label Label29 
         Caption         =   "Lat"
         Height          =   255
         Left            =   2520
         TabIndex        =   150
         Top             =   720
         Width           =   495
      End
   End
   Begin VB.CommandButton cmdClearDriver 
      Caption         =   "Clear GPS Driver"
      Height          =   375
      Left            =   12120
      TabIndex        =   139
      Top             =   960
      Width           =   1695
   End
   Begin VB.CommandButton cmdLoadDriver 
      Caption         =   "Load GPS Driver"
      Height          =   375
      Left            =   10440
      TabIndex        =   138
      Top             =   960
      Width           =   1695
   End
   Begin VB.CommandButton cmdSendInput 
      Caption         =   "Send GPS Input"
      Height          =   375
      Left            =   10440
      TabIndex        =   137
      Top             =   600
      Width           =   1695
   End
   Begin VB.CommandButton cmdResetOutput 
      Caption         =   "Reset GPS Output"
      Height          =   375
      Left            =   12120
      TabIndex        =   136
      Top             =   120
      Width           =   1695
   End
   Begin VB.CommandButton cmdAddOutput 
      Caption         =   "Add GPS Output"
      Height          =   375
      Left            =   10440
      TabIndex        =   135
      Top             =   120
      Width           =   1695
   End
   Begin VB.TextBox txtGLL 
      Height          =   375
      Left            =   240
      TabIndex        =   134
      Top             =   8040
      Width           =   9615
   End
   Begin VB.Frame Frame5 
      Caption         =   "VTG - Course Over Ground and Ground Speed"
      ForeColor       =   &H8000000D&
      Height          =   975
      Left            =   240
      TabIndex        =   128
      Top             =   6840
      Width           =   7815
      Begin VB.TextBox txtTrackAngle 
         Height          =   285
         Left            =   120
         TabIndex        =   132
         Top             =   480
         Width           =   1215
      End
      Begin VB.TextBox txtMagTrack 
         Height          =   285
         Left            =   1440
         TabIndex        =   131
         Top             =   480
         Width           =   1215
      End
      Begin VB.TextBox txtSpeedKnots2 
         Height          =   285
         Left            =   2760
         TabIndex        =   130
         Top             =   480
         Width           =   1215
      End
      Begin VB.TextBox txtSpeedKMPH 
         Height          =   285
         Left            =   4080
         TabIndex        =   129
         Top             =   480
         Width           =   1215
      End
      Begin VB.Label Label25 
         Caption         =   "Track Angle          Mag Track Angle   Speed (Knots)      Speed (KM/h)"
         Height          =   255
         Left            =   120
         TabIndex        =   133
         Top             =   240
         Width           =   5055
      End
   End
   Begin VB.Frame Frame4 
      Caption         =   "RMC - Recommended Minimum Specific GNSS Data"
      ForeColor       =   &H8000000D&
      Height          =   975
      Left            =   240
      TabIndex        =   118
      Top             =   5880
      Width           =   7815
      Begin VB.TextBox txtDataStatus 
         Height          =   285
         Left            =   1200
         TabIndex        =   126
         Top             =   480
         Width           =   255
      End
      Begin VB.TextBox txtMagVari 
         Height          =   285
         Left            =   6840
         TabIndex        =   125
         Top             =   480
         Width           =   615
      End
      Begin VB.TextBox txtDate 
         Height          =   285
         Left            =   5880
         TabIndex        =   124
         Top             =   480
         Width           =   855
      End
      Begin VB.TextBox txtTrack 
         Height          =   285
         Left            =   5280
         TabIndex        =   123
         Top             =   480
         Width           =   495
      End
      Begin VB.TextBox txtSpeed 
         Height          =   285
         Left            =   4200
         TabIndex        =   122
         Top             =   480
         Width           =   975
      End
      Begin VB.TextBox txtLong2 
         Height          =   285
         Left            =   2880
         TabIndex        =   121
         Top             =   480
         Width           =   1215
      End
      Begin VB.TextBox txtLat2 
         Height          =   285
         Left            =   1560
         TabIndex        =   120
         Top             =   480
         Width           =   1215
      End
      Begin VB.TextBox txtTime2 
         Height          =   285
         Left            =   120
         TabIndex        =   119
         Top             =   480
         Width           =   975
      End
      Begin VB.Label Label24 
         Caption         =   "Time     Data Status Latitude                Longitude              Speed (Knots)   Angle   Date              Mag Vari"
         Height          =   255
         Left            =   120
         TabIndex        =   127
         Top             =   240
         Width           =   7455
      End
   End
   Begin VB.Frame Frame3 
      Caption         =   "GSV - GNSS Satellites in View"
      ForeColor       =   &H8000000D&
      Height          =   2055
      Left            =   240
      TabIndex        =   62
      Top             =   3840
      Width           =   7815
      Begin VB.TextBox txtSatView 
         Height          =   285
         Left            =   360
         TabIndex        =   111
         Top             =   480
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   1
         Left            =   1920
         TabIndex        =   110
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   2
         Left            =   2400
         TabIndex        =   109
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   3
         Left            =   2880
         TabIndex        =   108
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   4
         Left            =   3360
         TabIndex        =   107
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   5
         Left            =   3840
         TabIndex        =   106
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   6
         Left            =   4320
         TabIndex        =   105
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   7
         Left            =   4800
         TabIndex        =   104
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   8
         Left            =   5280
         TabIndex        =   103
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   9
         Left            =   5760
         TabIndex        =   102
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   10
         Left            =   6240
         TabIndex        =   101
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   11
         Left            =   6720
         TabIndex        =   100
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatID 
         Height          =   285
         Index           =   12
         Left            =   7200
         TabIndex        =   99
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   1
         Left            =   1920
         TabIndex        =   98
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   2
         Left            =   2400
         TabIndex        =   97
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   3
         Left            =   2880
         TabIndex        =   96
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   4
         Left            =   3360
         TabIndex        =   95
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   5
         Left            =   3840
         TabIndex        =   94
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   6
         Left            =   4320
         TabIndex        =   93
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   7
         Left            =   4800
         TabIndex        =   92
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   8
         Left            =   5280
         TabIndex        =   91
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   9
         Left            =   5760
         TabIndex        =   90
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   10
         Left            =   6240
         TabIndex        =   89
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   11
         Left            =   6720
         TabIndex        =   88
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatElev 
         Height          =   285
         Index           =   12
         Left            =   7200
         TabIndex        =   87
         Text            =   "."
         Top             =   840
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   1
         Left            =   1920
         TabIndex        =   86
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   2
         Left            =   2400
         TabIndex        =   85
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   3
         Left            =   2880
         TabIndex        =   84
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   4
         Left            =   3360
         TabIndex        =   83
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   5
         Left            =   3840
         TabIndex        =   82
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   6
         Left            =   4320
         TabIndex        =   81
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   7
         Left            =   4800
         TabIndex        =   80
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   8
         Left            =   5280
         TabIndex        =   79
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   9
         Left            =   5760
         TabIndex        =   78
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   10
         Left            =   6240
         TabIndex        =   77
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   11
         Left            =   6720
         TabIndex        =   76
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatAzi 
         Height          =   285
         Index           =   12
         Left            =   7200
         TabIndex        =   75
         Text            =   "."
         Top             =   1200
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   1
         Left            =   1920
         TabIndex        =   74
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   2
         Left            =   2400
         TabIndex        =   73
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   3
         Left            =   2880
         TabIndex        =   72
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   4
         Left            =   3360
         TabIndex        =   71
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   5
         Left            =   3840
         TabIndex        =   70
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   6
         Left            =   4320
         TabIndex        =   69
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   7
         Left            =   4800
         TabIndex        =   68
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   8
         Left            =   5280
         TabIndex        =   67
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   9
         Left            =   5760
         TabIndex        =   66
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   10
         Left            =   6240
         TabIndex        =   65
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   11
         Left            =   6720
         TabIndex        =   64
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSatSNR 
         Height          =   285
         Index           =   12
         Left            =   7200
         TabIndex        =   63
         Text            =   "."
         Top             =   1560
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.Label Label23 
         Caption         =   "SNR"
         Height          =   255
         Left            =   960
         TabIndex        =   117
         Top             =   1560
         Width           =   375
      End
      Begin VB.Label Label22 
         Caption         =   "Azimuth"
         Height          =   255
         Left            =   960
         TabIndex        =   116
         Top             =   1200
         Width           =   735
      End
      Begin VB.Label Label21 
         Caption         =   "Elevation"
         Height          =   255
         Left            =   960
         TabIndex        =   115
         Top             =   840
         Width           =   975
      End
      Begin VB.Label Label20 
         Caption         =   "Sat ID (PRN)"
         Height          =   255
         Left            =   960
         TabIndex        =   114
         Top             =   480
         Width           =   975
      End
      Begin VB.Label Label19 
         Caption         =   "Sat in View"
         Height          =   255
         Left            =   120
         TabIndex        =   113
         Top             =   240
         Width           =   855
      End
      Begin VB.Label Label18 
         Caption         =   "   1         2        3        4         5         6         7         8         9       10       11      12"
         Height          =   255
         Left            =   1920
         TabIndex        =   112
         Top             =   240
         Width           =   5700
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "GSA - GNSS DOP and Active Satellites"
      ForeColor       =   &H8000000D&
      Height          =   975
      Left            =   240
      TabIndex        =   27
      Top             =   2880
      Width           =   10335
      Begin VB.TextBox txtMode1 
         Height          =   285
         Left            =   120
         TabIndex        =   44
         Top             =   480
         Width           =   375
      End
      Begin VB.TextBox txtMode2 
         Height          =   285
         Left            =   720
         TabIndex        =   43
         Top             =   480
         Width           =   375
      End
      Begin VB.TextBox txtPDOP 
         Height          =   285
         Left            =   7200
         TabIndex        =   42
         Top             =   480
         Width           =   615
      End
      Begin VB.TextBox txtHDOP2 
         Height          =   285
         Left            =   7920
         TabIndex        =   41
         Top             =   480
         Width           =   615
      End
      Begin VB.TextBox txtVDOP 
         Height          =   285
         Left            =   8640
         TabIndex        =   40
         Top             =   480
         Width           =   615
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   1
         Left            =   1440
         TabIndex        =   39
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   2
         Left            =   1920
         TabIndex        =   38
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   3
         Left            =   2400
         TabIndex        =   37
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   4
         Left            =   2880
         TabIndex        =   36
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   5
         Left            =   3360
         TabIndex        =   35
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   6
         Left            =   3840
         TabIndex        =   34
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   7
         Left            =   4320
         TabIndex        =   33
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   8
         Left            =   4800
         TabIndex        =   32
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   9
         Left            =   5280
         TabIndex        =   31
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   10
         Left            =   5760
         TabIndex        =   30
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   11
         Left            =   6240
         TabIndex        =   29
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.TextBox txtSV 
         Height          =   285
         Index           =   12
         Left            =   6720
         TabIndex        =   28
         Text            =   "."
         Top             =   480
         Visible         =   0   'False
         Width           =   375
      End
      Begin VB.Label Label12 
         Caption         =   "Mode1"
         Height          =   255
         Left            =   120
         TabIndex        =   61
         Top             =   240
         Width           =   615
      End
      Begin VB.Label Label13 
         Caption         =   "Mode2"
         Height          =   255
         Left            =   720
         TabIndex        =   60
         Top             =   240
         Width           =   615
      End
      Begin VB.Label Label14 
         Caption         =   "SV1"
         Height          =   255
         Index           =   0
         Left            =   1440
         TabIndex        =   59
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV2"
         Height          =   255
         Index           =   1
         Left            =   1920
         TabIndex        =   58
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV3"
         Height          =   255
         Index           =   2
         Left            =   2400
         TabIndex        =   57
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV4"
         Height          =   255
         Index           =   3
         Left            =   2880
         TabIndex        =   56
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV5"
         Height          =   255
         Index           =   4
         Left            =   3360
         TabIndex        =   55
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV6"
         Height          =   255
         Index           =   5
         Left            =   3840
         TabIndex        =   54
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV7"
         Height          =   255
         Index           =   6
         Left            =   4320
         TabIndex        =   53
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV8"
         Height          =   255
         Index           =   7
         Left            =   4800
         TabIndex        =   52
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV9"
         Height          =   255
         Index           =   8
         Left            =   5280
         TabIndex        =   51
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label14 
         Caption         =   "SV10"
         Height          =   255
         Index           =   9
         Left            =   5760
         TabIndex        =   50
         Top             =   240
         Width           =   400
      End
      Begin VB.Label Label14 
         Caption         =   "SV11"
         Height          =   255
         Index           =   10
         Left            =   6240
         TabIndex        =   49
         Top             =   240
         Width           =   400
      End
      Begin VB.Label Label14 
         Caption         =   "SV12"
         Height          =   255
         Index           =   11
         Left            =   6720
         TabIndex        =   48
         Top             =   240
         Width           =   400
      End
      Begin VB.Label Label15 
         Caption         =   "PDOP"
         Height          =   255
         Left            =   7200
         TabIndex        =   47
         Top             =   240
         Width           =   495
      End
      Begin VB.Label Label16 
         Caption         =   "HDOP"
         Height          =   255
         Left            =   7920
         TabIndex        =   46
         Top             =   240
         Width           =   615
      End
      Begin VB.Label Label17 
         Caption         =   "VDOP"
         Height          =   255
         Left            =   8640
         TabIndex        =   45
         Top             =   240
         Width           =   615
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "GGA - Global Positioning System Fix Data"
      ForeColor       =   &H8000000D&
      Height          =   975
      Left            =   240
      TabIndex        =   6
      Top             =   1920
      Width           =   10335
      Begin VB.TextBox txtLat 
         Height          =   285
         Left            =   1200
         TabIndex        =   16
         Top             =   480
         Width           =   1335
      End
      Begin VB.TextBox txtLong 
         Height          =   285
         Left            =   2640
         TabIndex        =   15
         Top             =   480
         Width           =   1455
      End
      Begin VB.TextBox txtTime 
         Height          =   285
         Left            =   120
         TabIndex        =   14
         Top             =   480
         Width           =   975
      End
      Begin VB.TextBox txtFix 
         Height          =   285
         Left            =   4200
         TabIndex        =   13
         Top             =   480
         Width           =   375
      End
      Begin VB.TextBox txtSat 
         Height          =   285
         Left            =   4680
         TabIndex        =   12
         Top             =   480
         Width           =   495
      End
      Begin VB.TextBox txtHDOP 
         Height          =   285
         Left            =   5280
         TabIndex        =   11
         Top             =   480
         Width           =   855
      End
      Begin VB.TextBox txtElev 
         Height          =   285
         Left            =   6240
         TabIndex        =   10
         Top             =   480
         Width           =   975
      End
      Begin VB.TextBox txtGeod 
         Height          =   285
         Left            =   7320
         TabIndex        =   9
         Top             =   480
         Width           =   855
      End
      Begin VB.TextBox txtDGPScor 
         Height          =   285
         Left            =   8280
         TabIndex        =   8
         Top             =   480
         Width           =   855
      End
      Begin VB.TextBox txtDGPSID 
         Height          =   285
         Left            =   9240
         TabIndex        =   7
         Top             =   480
         Width           =   855
      End
      Begin VB.Label Label2 
         Caption         =   "UTC Time"
         Height          =   255
         Left            =   120
         TabIndex        =   26
         Top             =   240
         Width           =   1095
      End
      Begin VB.Label Label3 
         Caption         =   "Latitude"
         Height          =   255
         Left            =   1200
         TabIndex        =   25
         Top             =   240
         Width           =   1335
      End
      Begin VB.Label Label4 
         Caption         =   "Longitude"
         Height          =   375
         Left            =   2640
         TabIndex        =   24
         Top             =   240
         Width           =   1215
      End
      Begin VB.Label Label5 
         Caption         =   "Fix"
         Height          =   255
         Left            =   4200
         TabIndex        =   23
         Top             =   240
         Width           =   375
      End
      Begin VB.Label Label6 
         Caption         =   "N.Sat"
         Height          =   255
         Left            =   4680
         TabIndex        =   22
         Top             =   240
         Width           =   495
      End
      Begin VB.Label Label7 
         Caption         =   "HDOP"
         Height          =   255
         Left            =   5280
         TabIndex        =   21
         Top             =   240
         Width           =   855
      End
      Begin VB.Label Label8 
         Caption         =   "Altitude"
         Height          =   255
         Left            =   6240
         TabIndex        =   20
         Top             =   240
         Width           =   975
      End
      Begin VB.Label Label9 
         Caption         =   "Geoid Sep"
         Height          =   255
         Left            =   7320
         TabIndex        =   19
         Top             =   240
         Width           =   855
      End
      Begin VB.Label Label10 
         Caption         =   "DGPS Age"
         Height          =   255
         Left            =   8280
         TabIndex        =   18
         Top             =   240
         Width           =   975
      End
      Begin VB.Label Label11 
         Caption         =   "DGPS ID"
         Height          =   255
         Left            =   9240
         TabIndex        =   17
         Top             =   240
         Width           =   975
      End
   End
   Begin VB.CheckBox chkErr 
      Caption         =   "Error / Event Message"
      Height          =   375
      Left            =   240
      TabIndex        =   5
      Top             =   8590
      Value           =   1  'Checked
      Width           =   2055
   End
   Begin VB.TextBox txtError 
      Height          =   285
      Left            =   2520
      TabIndex        =   4
      Top             =   8640
      Width           =   12975
   End
   Begin VB.TextBox txtGPSDat 
      Height          =   285
      Left            =   240
      TabIndex        =   2
      Top             =   1440
      Width           =   14175
   End
   Begin VB.CommandButton cmdCloseGPS 
      Caption         =   "Close GPS"
      Height          =   375
      Left            =   6120
      TabIndex        =   1
      Top             =   720
      Width           =   1695
   End
   Begin VB.CommandButton cmdOpenGPS 
      Caption         =   "Open GPS"
      Height          =   375
      Left            =   6120
      TabIndex        =   0
      Top             =   360
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "GPS NMEA Protocol Sentence"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   1200
      Width           =   6015
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'******************************************************************************
'GPS ActiveX Test Application
'Author: Khalid Amin Khan     6th Oct.,2011
'Email: aminkhan@k-tron.net
'******************************************************************************
'
'This program demonstrates the use of GPS ActiveX Component as discussed in the
'following paper.
'
'Khan et al., 2011, An ActiveX control for embedding GPS capability in custom
'applications, GPS Solutions, Vol.15, No.4, Pages.433439.
'DOI 10.1007/s10291-011-0236-6
'
'You are free to modify & distribute this program, provided the author's
'credits are not removed.
'
'To run this application you need to install the GPS ActiveX Component using
'the Setup utility.
'******************************************************************************

Dim pc%, ut%
Dim file$                       'NMEA filename

Private Sub cmdSetUTMZone_Click()
If txtSetUTMZone = "" Then Exit Sub
GPS1.SetUTMZone = Val(txtSetUTMZone)
End Sub

Private Sub chkFixUTMZone_Click()
If chkFixUTMZone = 0 Then GPS1.FixUTMZone = False
If chkFixUTMZone = 1 Then GPS1.FixUTMZone = True
End Sub

Private Sub chkErr_Click()
If chkErr = 1 Then GPS1.GPSErrorMsgBox = False
If chkErr = 0 Then GPS1.GPSErrorMsgBox = True
End Sub

Private Sub cmdScanGPSPort_Click()
txtScanStatus = ""
GPS1.SetGPS 4800, "N", 8, 1
p% = Val(txtScanPort) + 1
txtScanPort = ""
txtScanPort = GPS1.ScanPort(p%)
End Sub

Private Sub cmdOpenGPS_Click()
GPS1.SetGPS 4800, "N", 8, 1
If Val(txtScanPort) > 0 Then
  GPS1.OpenGPS Val(txtScanPort)
Else
  GPS1.OpenGPS 3
End If
GPS1.GPSLogFile App.Path & "\gps.log", "O"
End Sub

Private Sub cmdCloseGPS_Click()
GPS1.CloseGPS
GPS1.GPSLogClose
End Sub

Private Sub cmdOpenNMEA_Click()
'Get NMEA Filename from Common Dialog and Open/Process the NMEA file.
'Note: As the .OpenNMEA Method internally Opens & Processes the whole NMEA file, only the last data record
'is displayed on the Form.
On Local Error Resume Next
flt$ = "NMEA 0183 Data File (*.nme)|*.nme|"
CommonDialog Form1.CommonDialog1, flt, App.Path, "nme", "Open NMEA 0183 Data File", "o", file, ft1%
If file <> "" Then
  GPS1.OpenNMEA file
End If
End Sub

Private Sub cmdProNMEA_Click()
'Uses the same NMEA Filename returned by the Common Dialog in the previous cmdOpenNMEA_Click() event procedure.
'Opens and reads the NMEA file line by line. Sends each line to .ProNMEA Method for processing and the results
'are continuously updated on the Form.
If file <> "" Then
  Open file For Input As #1
  Do
    Line Input #1, d$
    GPS1.ProNMEA d$
    'GPS1.Delay 1
    DoEvents
  Loop Until EOF(1)
  Close #1
End If
End Sub

Private Sub cmdAddOutput_Click()
GPS1.ResetGPSOutput
GPS1.AddGPSOutput "$GPVTG"
End Sub

Private Sub cmdResetOutput_Click()
GPS1.ResetGPSOutput
End Sub

Private Sub cmdSendInput_Click()
GPS1.ResetGPSInput
'GPS1.AddGPSInput "$PSRF100,1,4800,8,1,0*0C" & vbCrLf
GPS1.AddGPSInput "$PSRF103,01,00,01,01*20" & vbCrLf
'GPS1.AddGPSInput "$PSRF103,00,00,00,01*20" & vbCrLf
GPS1.SendGPSInput 1
End Sub

Private Sub cmdClearDriver_Click()
GPS1.ClearGPSDriver
End Sub

Private Sub cmdLoadDriver_Click()
GPS1.LoadGPSDriver App.Path & "\sirf.xml"
End Sub

Private Sub GPS1_NMEASentence(gpsData As String)
txtGPSDat = gpsData
End Sub

Private Sub GPS1_GGA(gpsTime As String, gpsLat As String, gpsLatNS As String, gpsLong As String, gpsLongEW As String, gpsFix As Integer, gpsSatUsed As Integer, gpsHDOP As Single, gpsMSLAlt As Single, gpsAltUnit As String, gpsGeoidSep As Single, gpsGeoidUnit As String, gpsDGPSCorAge As Single, gpsDGPSRefStatID As String)
txtTime = gpsTime
txtLat = gpsLat
txtLong = gpsLong
txtFix = gpsFix
txtSat = gpsSatUsed
txtHDOP = gpsHDOP
txtElev = gpsMSLAlt
txtGeod = gpsGeoidSep
txtDGPScor = gpsDGPSCorAge
txtDGPSID = gpsDGPSRefStatID

End Sub

Private Sub GPS1_GSA(gpsMode1 As String, gpsMode2 As Integer, gpsSV() As Integer, gpsPDOP As Single, gpsHDOP As Single, gpsVDOP As Single)
Dim t%
txtMode1 = gpsMode1
txtMode2 = gpsMode2
For t% = 1 To 12
  txtSV(t) = gpsSV(t)
Next
txtPDOP = gpsPDOP
txtHDOP2 = gpsHDOP
txtVDOP = gpsVDOP
End Sub

Private Sub GPS1_GSV(gpsSatView As Integer, gpsSatID() As Integer, gpsSatElev() As Integer, gpsSatAzi() As Integer, gpsSatSNR() As Integer)
txtSatView = gpsSatView
For t% = 1 To gpsSatView
  txtSatID(t) = gpsSatID(t)
  txtSatElev(t) = gpsSatElev(t)
  txtSatAzi(t) = gpsSatAzi(t)
  txtSatSNR(t) = gpsSatSNR(t)
Next
For t% = gpsSatView + 1 To 12
  txtSatID(t) = 0
  txtSatElev(t) = 0
  txtSatAzi(t) = 0
  txtSatSNR(t) = 0
Next
End Sub

Private Sub GPS1_RMC(gpsTime As String, gpsDataStatus As String, gpsLat As String, gpsLatNS As String, gpsLong As String, gpsLongEW As String, gpsSpeedKnots As Single, gpsTrackAngle As Single, gpsDate As String, gpsMagVari As Single, gpsMagVariEW As String)
txtTime2 = gpsTime
txtDataStatus = gpsDataStatus
txtLat2 = gpsLat
txtLong2 = gpsLong
txtSpeed = gpsSpeedKnots
txtTrack = gpsTrackAngle
txtDate = gpsDate
txtMagVari = gpsMagVari
End Sub

Private Sub GPS1_VTG(gpsTrackAngle As Single, gpsTrackTrueNorth As String, gpsMagTrack As Single, gpsMagRef As String, gpsSpeedKnots As Single, gpsUnitsKnots As String, gpsSpeedKMPH As Single, gpsUnitsKMPH As String)
txtTrackAngle = gpsTrackAngle
txtMagTrack = gpsMagTrack
txtSpeedKnots2 = gpsSpeedKnots
txtSpeedKMPH = gpsSpeedKMPH
End Sub

Private Sub GPS1_GLL(gpsLat As String, gpsLatNS As String, gpsLong As String, gpsLongEW As String, gpsTime As String, gpsDataStatus As String)
txtGLL = gpsLat & " " & gpsLatNS & "  -  " & gpsLong & " " & gpsLongEW & "  -  " & gpsTime & "  -  " & gpsDataStatus
End Sub

Private Sub GPS1_RMA(gpsDataStatus As String, gpsLat As String, gpsLatNS As String, gpsLong As String, gpsLongEW As String, gpsSpeedKnots As Single, gpsTrackAngle As Single, gpsVariation As Single, gpsVariEW As String)
txtGLL = gpsDataStatus & "  -  " & gpsLat & " " & gpsLatNS & "  -  " & gpsLong & " " & gpsLongEW & "  -  " & Str(gpsSpeedKnots) & "  -  " & Str(gpsTrackAngle) & "  -  " & Str(gpsVariation) & "  -  " & gpsVariEW
End Sub

Private Sub GPS1_RMB(gpsDataStatus As String, gpsXTrackError As Single, gpsSteerDir As String, gpsOriginWayPointID As String, gpsDestWayPointID As String, gpsDestWayPointLat As Double, gpsLatNS As String, gpsDestWayPointLong As Double, gpsLongEW As String, gpsRange2Dest As Single, gpsBearing2Dest As Single, gpsVelocitytoDest As Single, gpsArrivalStatus As String)
txtGLL = gpsDataStatus
End Sub

Private Sub GPS1_UserDefinedSentence(userMsgID As String, userPara() As String, userNPara As Integer)
If userMsgID = "$GPGGA" Or userMsgID = "$GPVTG" Then
  txtGLL = userMsgID & ": "
  For t% = 1 To userNPara
    txtGLL = txtGLL & userPara(t) & " - "
  Next
End If
End Sub

Private Sub GPS1_UTMData(LongDec As Double, LatDec As Double, Xutm As Double, Yutm As Double, Zone As Integer, MSLAltitude As Single, AltitudeUnits As String)
txtDECLong = LongDec
txtDECLat = LatDec
txtUTMX = Xutm
txtUTMY = Yutm
txtZone = Zone
GPS1.Decimal2DMS LongDec, LongDeg#, LongMin#, LongSec#
GPS1.Decimal2DMS LatDec, LatDeg#, LatMin#, LatSec#
txtDMSLong = LongDeg & "  " & LongMin & "  " & LongSec
txtDMSLat = LatDeg & "  " & LatMin & "  " & LatSec
End Sub

Private Sub GPS1_PositionChange(LongDec As Double, LatDec As Double, Xutm As Double, Yutm As Double, Zone As Integer, MSLAltitude As Single, AltitudeUnits As String)
pc = pc + 1
txtPosChange = pc
End Sub

Private Sub GPS1_UTMZoneChange(Zone As Integer)
ut = ut + 1
txtUTMChange = Str(ut) & "  " & Str(Zone)
End Sub

Private Sub GPS1_GPSError(gpsErrNo As Integer, gpsErrDesc As String)
txtError = Time$ & "  -  " & Str(gpsErrNo) & " - " & gpsErrDesc
End Sub

Private Sub GPS1_GPSScan(Port As Integer, Status As Integer)
If Status = 0 Then txtScanStatus = txtScanStatus & "Scanning Port #: " & Port & "   "
If Status = 1 Then txtScanStatus = txtScanStatus & "GPS Found" & vbCrLf
If Status = -1 Then txtScanStatus = txtScanStatus & "GPS Not Found" & vbCrLf
If Status = -2 Then txtScanStatus = txtScanStatus & "Port in use" & vbCrLf
If Status = -3 Then txtScanStatus = txtScanStatus & "Invalid Port" & vbCrLf
End Sub

Private Sub txtSV_Change(Index As Integer)
If txtSV(Index) = 0 Then txtSV(Index).Visible = False Else txtSV(Index).Visible = True
End Sub

Private Sub txtSatID_Change(Index As Integer)
If txtSatID(Index) = 0 Then txtSatID(Index).Visible = False Else txtSatID(Index).Visible = True
End Sub

Private Sub txtSatElev_Change(Index As Integer)
If txtSatElev(Index) = 0 Then txtSatElev(Index).Visible = False Else txtSatElev(Index).Visible = True
End Sub

Private Sub txtsatAzi_Change(Index As Integer)
If txtSatAzi(Index) = 0 Then txtSatAzi(Index).Visible = False Else txtSatAzi(Index).Visible = True
End Sub

Private Sub txtSatSNR_Change(Index As Integer)
If txtSatSNR(Index) = 0 Then txtSatSNR(Index).Visible = False Else txtSatSNR(Index).Visible = True
End Sub

